# Copyright UL Research Institutes
# SPDX-License-Identifier: Apache-2.0

stages:
  - test
  - build
  - deploy

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "push" && $CI_OPEN_MERGE_REQUESTS
      when: never
    - when: always

include:
  - project: buildgarden/pipelines/detect-secrets
    ref: 0.1.0
    file:
      - detect-secrets.yml
  - project: buildgarden/pipelines/pages
    ref: 0.1.1
    file:
      - pages.yml
  - project: buildgarden/pipelines/prettier
    ref: 0.1.0
    file:
      - prettier.yml
  - project: buildgarden/pipelines/skywalking-eyes
    ref: 0.2.0
    file:
      - license-eye-header-check.yml

eleventy-build:
  stage: build
  image: ${CONTAINER_PROXY}node:lts-bullseye
  script:
    - npm install
    - npx tailwindcss -i src/style.css -o static/css/style.css
    - npx @11ty/eleventy
    - npx @11ty/eleventy --output public
  artifacts:
    paths:
      - public
